aboutsummaryrefslogtreecommitdiffstats
path: root/community/perl-test-differences
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2016-08-19 09:26:54 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2016-08-19 11:24:37 +0000
commit67c017abf53d5831390e1c9bc130de89b1f562d3 (patch)
tree7cd59217400e84461a79ecd2d6dbf65f3a51380b /community/perl-test-differences
parent78901e67c10acee385f9c07b2976e7e3c8ef2023 (diff)
downloadaports-67c017abf53d5831390e1c9bc130de89b1f562d3.tar.gz
aports-67c017abf53d5831390e1c9bc130de89b1f562d3.tar.bz2
aports-67c017abf53d5831390e1c9bc130de89b1f562d3.tar.xz
community/perl-test-differences: moved from testing
Diffstat (limited to 'community/perl-test-differences')
-rw-r--r--community/perl-test-differences/APKBUILD38
1 files changed, 38 insertions, 0 deletions
diff --git a/community/perl-test-differences/APKBUILD b/community/perl-test-differences/APKBUILD
new file mode 100644
index 0000000000..1cce5e5d79
--- /dev/null
+++ b/community/perl-test-differences/APKBUILD
@@ -0,0 +1,38 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Francesco Colista <francesco.colista@gmail.com>
+# Maintainer: Francesco Colista <francesco.colista@gmail.com>
+pkgname=perl-test-differences
+_pkgreal=Test-Differences
+pkgver=0.61
+pkgrel=0
+pkgdesc="Test strings and data structures and show differences if not ok"
+url="http://search.cpan.org/dist/Test-Differences/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends="perl-text-diff"
+cpanmakedepends=""
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/O/OV/OVID/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ perl Build.PL installdirs=vendor || return 1
+}
+
+build() {
+ cd "$_builddir"
+ export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+ ./Build && ./Build test
+}
+
+package() {
+ cd "$_builddir"
+ ./Build install destdir="$pkgdir" || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="8728047fbd04a32ffdbbc4304d635eb1 Test-Differences-0.61.tar.gz"